{% load wagtailcore_tags %}

<div class="pagination-container">
  <nav class="pagination space-x-1">

    {% if paginator.has_previous %}
    <a href="?page={{ paginator.previous_page_number }}{% if query %}&amp;q={{ query }}{% endif %}" class="btn btn--icon btn--grey-125 btn--hoveractive btn--to-black btn--condensed btn--inverted-icon">
      <div class="btn__body-wrap">
        <div class="btn__body ">předchozí</div>
        <div class="btn__icon ">
          <i class="ico--chevron-left"></i>
        </div>
      </div>
    </a>
    {% endif %}

    {% if paginator.paginator.num_pages > 1 %}
      {% for i in paginator.paginator.page_range %}
        {% if i == paginator.number %}
        <a href="?page={{ i }}{% if query %}&amp;q={{ query }}{% endif %}" class="btn btn--grey-500 btn--condensed hidden md:inline-block">
        {% else %}
        <a href="?page={{ i }}{% if query %}&amp;q={{ query }}{% endif %}" class="btn btn--grey-125 btn--hoveractive btn--to-black btn--condensed hidden md:inline-block">
        {% endif %}
          <div class="btn__body ">{{ i }}</div>
        </a>
      {% endfor %}
    {% endif %}

    {% if paginator.has_next %}
    <a href="?page={{ paginator.next_page_number }}{% if query %}&amp;q={{ query }}{% endif %}" class="btn btn--icon btn--grey-125 btn--hoveractive btn--to-black btn--condensed">
      <div class="btn__body-wrap">
        <div class="btn__body ">další</div>
        <div class="btn__icon ">
          <i class="ico--chevron-right"></i>
        </div>
      </div>
    </a>
    {% endif %}

  </nav>
</div>
